Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.stmt
Class GooGooStatementCache.ConnectionStatementManager

    java.lang.Object
      com.mchange.v2.c3p0.stmt.GooGooStatementCache.ConnectionStatementManager

Direct Known Subclasses:
  GooGooStatementCache.DeathmarchConnectionStatementManager, GooGooStatementCache.SimpleConnectionStatementManager

Enclosing class:
  GooGooStatementCache

    protected abstract static class GooGooStatementCache.ConnectionStatementManager

extends java.lang.Object

Constructor Summary
`protected` | `GooGooStatementCache.ConnectionStatementManager()`

Method Summary
`void` | `addStatementForConnection(java.lang.Object ps, java.sql.Connection pcon)`
`java.util.Set` | `connectionSet()`
`int` | `getNumConnectionsWithCachedStatements()`
`int` | `getNumStatementsForConnection(java.sql.Connection pcon)`
`boolean` | `removeStatementForConnection(java.lang.Object ps, java.sql.Connection pcon)`
`java.util.Set` | `statementSet(java.sql.Connection pcon)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GooGooStatementCache.ConnectionStatementManager

    protected GooGooStatementCache.ConnectionStatementManager()

Method Detail

### getNumConnectionsWithCachedStatements

    public int getNumConnectionsWithCachedStatements()

### connectionSet

    public java.util.Set connectionSet()

### statementSet

    public java.util.Set statementSet(java.sql.Connection pcon)

### getNumStatementsForConnection

    public int getNumStatementsForConnection(java.sql.Connection pcon)

### addStatementForConnection

    public void addStatementForConnection(java.lang.Object ps,
                                          java.sql.Connection pcon)

### removeStatementForConnection

    public boolean removeStatementForConnection(java.lang.Object ps,
                                                java.sql.Connection pcon)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD